<?php
require_once('creditcardv3.php');

$mchorderno = time();
$returnurl = 'https://develop.iotpay.ca/newdemo/card/v3/result.php?abc=111&code=234&cardid=12345678&mchOrderNo='. $mchorderno;
$notifyurl = 'https://develop.iotpay.ca/newdemo/card/v3/notify.php';


$amount     = 0.01;
$v3         = new CreditCardV3();
$secureid   = '';
$channel    = 'PF_CC'; //OR UPI_EX

$res = $v3->purchase($mchorderno,$amount,$returnurl,$notifyurl,$channel); 
if ($res['retCode'] == 'SUCCESS') {
	$secureid = $res['retData']['secureId'];
} else {
	echo $res['retMsg'];
}
?>
<html>

<head>
    <meta charset="utf-8" />
    <meta name="viewport"
        content="width=device-width, target-densitydpi=device-dpi, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=yes" />
    <script type="text/javascript" src="https://ccdev.iotpaycloud.com/cc/iotpaycc.js"></script>

    <style>
        body {
            background-color: antiquewhite;
        }

        div {
            padding: 20px 0;
        }

        .dark {
            background: gray;
        }
    </style>
</head>
<title>Credit Test - Merchant add card page</title>

<body>
    <div id="iotpay_card"></div>
 
</body>
<script>

    const options_card = {
        theme: 'card',
    };

    let callback = function(event) {     
      if(event.retCode =='SUCCESS'){
        if(event.retData.status == 2 || event.retData.status ==3)
        {//addcard or purchase success
          window.parent.location.href = event.retData.redirectUrl;
        }else{//order status unknow
          let orderid = vent.retData.mchOrderNo;
          //redirect merchant page to query order
        }
      }else{//payment fail
         //add your code here
        if(event.retData.hasOwnProperty("redirectUrl")){
          window.parent.location.href = event.retData.redirectUrl;
        }else{
          alert(event.retMsg); 
        }
      }
    }
    let secureid = "<?php echo $secureid ?>";
    let iotpay_card = Iotpay( secureid, 'Pay', options_card );
    iotpay_card.mount('#iotpay_card', callback);


</script>

</html>
