<?php
require_once('Utility.php');
$customerId = $_POST['customerId'];
$merchant_id = $_POST['merchantId'];
$merchant_key = $_POST['merchantKey'];
$url = 'https://api.iotpaycloud.com/v2/cc_isbinding';
$Utility = new Utility();
$arr = array(
    'mchId' => $merchant_id,
    'customerId' => $customerId,
);
$sort_array = $Utility->arg_sort($arr);
$arr['sign'] = $Utility->build_mysign($sort_array, $merchant_key, "MD5");//Generate signature parameter sign
$param = json_encode($arr);
echo $param;
$resBody = $Utility->request($url, $param);//Submit to the gateway
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>IoT-Pay - Web Payment In Credit Card Test</title>
    <link rel="icon" type="image/png" href="https://develop.iotpay.ca/imgs/favicon64x64.png">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>
<body>
<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <a class="navbar-brand mx-auto" href="#">
        <img src="https://develop.iotpay.ca/imgs/iot-logo.png" height="50" alt="">
    </a>
</nav>
<div class="container">
    <div class="col-xl-8 mx-auto py-5">
        <form method="post">
            <div class="form-group row">
                <div class="col-md-12" style="white-space: normal; word-break: break-all">
                    <?php echo $resBody; ?>
                </div>
            </div>
            <div class="form-group row">
                <input type="button" class="btn btn-primary btn-block mt-5" value="Return"
                       onclick="location.href = 'isbinding.html'"/>
            </div>
        </form>
    </div>
</div>
</body>
</html>