<?php
require_once('creditcardv3.php');
$mchorderno = time();
$returnurl = 'https://develop.iotpay.ca/newdemo/card/v3/result.php?abc=111&code=234&cardid=12345678&mchOrderNo='. $mchorderno;
$notifyurl = 'https://develop.iotpay.ca/newdemo/card/v3/notify.php';


$amount     = 0.01;
$v3         = new CreditCardV3();
$secureid   = '';
$channel    = 'PF_CC'; //OR UPI_EX
$res = $v3->purchase($mchorderno,$amount,$returnurl,$notifyurl,$channel ); 
if ($res['retCode'] == 'SUCCESS') {
	$secureid = $res['retData']['secureId'];
} else {
	echo $res['retMsg'];
}
?>
<html>

<head>
    <meta charset="utf-8" />
    <meta name="viewport"
        content="width=device-width, target-densitydpi=device-dpi, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=yes" />
    <script type="text/javascript" src="https://ccapi.iotpaycloud.com/cc/iotpaycc.js"></script>

    <style>
        body {
            background-color: antiquewhite;
        }

        div {
            padding: 20px 0;
        }

        .dark {
            background: gray;
        }
    </style>
</head>
<title>Credit Test - Merchant add card page</title>

<body>    
    <div class="dark" id="iotpay_normal_dark"></div>
</body>
<script>
    const options_dark = {
        darkMode: true,
    };

    let callback = function(event) {
        console.log(event);
        if (event.result == 'SUCCESS') {
            // Add/Pay Success
            // Return data will be contained in event.detail
            // if (event.detail.retData && event.detail.retData.redirectUrl) {
            //     window.location.replace(event.detail.retData.redirectUrl);
            // }
        } else if (event.result == 'FAIL' && event.message == 'Timeout') {
            // Union Pay require query orders. We will be timed out after 30 tries and merchant needs to query the order.
            //
        } else if (event.result == 'FAIL') {
            // Add/Pay Failed
            // Return data will be contained in event.detail
            // if (event.detail.retData && event.detail.retData.redirectUrl) {
            //     window.location.replace(event.detail.retData.redirectUrl);
            // }
        }
        if (event.detail.retData && event.detail.retData.redirectUrl) {
            window.location.replace(event.detail.retData.redirectUrl);
        }
    }
    let secureid = "<?php echo $secureid ?>";
    let iotpay_normal_dark = Iotpay( secureid, 'Pay', options_dark);
    iotpay_normal_dark.mount('#iotpay_normal_dark', callback);

</script>

</html>
